Name:           jbrout
Version:        0.3.174
Release:        1%{?dist}
Summary:        Photo manager, written in python/pygtk
Group:          Applications/Multimedia
License:        GPLv2
URL:            http://jbrout.python-hosting.com/wiki
# 159
Source0:        http://jbrout.free.fr/download/sources/jbrout_%{version}.tar.gz
Source1:        jbrout-Makefile
Source2:        jbrout.desktop
Source3:        jbrout-usr_bin
Source4:        jbrout-install.sh
BuildArch:      noarch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:       python >= 2.4, python-lxml, pygtk2 >= 2.6
Requires:       python-imaging, pyexiv2 >= 0.1.2, fbida
BuildRequires:  gettext, desktop-file-utils,

%description
jBrout is able to :
   * manage albums/photos (= folders/files)
   * tag photos with IPTC keywords
   * use internal jpeg thumbnail
   * comment photos (with jpeg comment) and album (textfile in
     folder)
   * rotate loss-less jpeg (and internal jpeg thumbnail)
     use EXIF info (date, size ..)
   * search pictures (tags, comment, date, ...) (not implemented
     yet)
   * use plugins (to export to html/gallery, to act like
     a httpserver, to export pictures to be mailed, ...)
   * work without database ! (just a xmlfile which can be rebuild
     from scratch)
   * handle a lot of photos (jbrout's author claims to have more than 20000
     of them)
   * upload photos to a flickr account
   * ...

%prep
%setup -q -n jbrout

cd jbrout/
TEMPFILE=$(mktemp %{_tmppath}/jbrout-build.XXXXXX)
find libs plugins jbrout data -type f -a ! -name \*.png \
   | while read FILE ; do \
      cat $FILE | tr -d '\r' >$TEMPFILE
      mv $TEMPFILE $FILE
      if $(head -n1 $FILE | grep '^#!' >/dev/null 2>&1); then
         sed -i -e '1d' $FILE
      fi
      chmod -x $FILE
   done
unset TEMPFILE
#sed -i -e '1d' trackertag.py
#chmod -x SciTE.properties
install -p %{SOURCE1} Makefile
install -p -m a+rx,u+w %{SOURCE4} install-script

%build
cd jbrout
make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
cd jbrout
make DESTDIR=$RPM_BUILD_ROOT install
install -m a+rx,u+w -d $RPM_BUILD_ROOT%{_bindir}
install -m a+rx,u+w %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/jbrout
install -m a+rx,u+w -d $RPM_BUILD_ROOT%{_datadir}/applications/
install -p -m a+rx,u+w -t $RPM_BUILD_ROOT%{_datadir}/applications/ \
      %{SOURCE2}
desktop-file-install \
     --dir $RPM_BUILD_ROOT%{_datadir}/applications \
     --add-category=X-Fedora \
     --delete-original \
     $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/jbrout
%doc
%{_datadir}/jbrout/
%exclude %{_datadir}/jbrout/plugins/*/po/*/LC_MESSAGES/plugin.mo
%lang(fr) %{_datadir}/jbrout/plugins/*/po/fr/LC_MESSAGES/plugin.mo
%lang(it) %{_datadir}/jbrout/plugins/*/po/it/LC_MESSAGES/plugin.mo
%{_datadir}/applications/jbrout.desktop

%changelog
* Sat Mar 21 2009 Matej Cepl <mcepl@redhat.com> 0.3.174-1
- New upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.159-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Matěj Cepl <mcepl@redhat.com> - 0.3.159-2
- add fbida as Requires

* Thu Jan 15 2009 Matěj Cepl <mcepl@redhat.com> 0.3.159-1
- New upstream release and this should go to Fedora.

* Sun Jan 11 2009 Matěj Cepl <mcepl@redhat.com> 0.3.151-0.5
- Fixed building and installing lang files.

* Thu Jan 01 2009 Matěj Cepl <mcepl@redhat.com> 0.3.131-0.1.f10only
- Testing build of the new upstream release (because of broken upgrade
  build).

* Thu Jun 26 2008 Matěj Cepl <mcepl@redhat.com> 0.2.201-2
- Fixing packaging bugs mentioned in the package review.

* Fri Jun 20 2008 Matěj Cepl <mcepl@redhat.com> 0.2.201-1
- New upstream release.

* Wed Jun 27 2007 Matej Cepl <mcepl@redhat.com> - 0.2.182-1
- New upstream version (finally!)

* Wed Jun 13 2007 Matej Cepl <mcepl@redhat.com> - 0.2.114.svn172-3
- Fix locales

* Wed May 23 2007 Matej Cepl <mcepl@redhat.com> - 0.2.114.svn172-2
- New SVN checkout.
- Working on Fedora package review.
- We have svn export so no .svn directories, so no need to remove them
- Fix Makefile -- DESTDIR should be / per default and don't
  remove during the installation process
- Fixed fixing of file permissions -- we did too much and in too
  many places; consolidated to %%prep stage.

* Mon May 21 2007 Matej Cepl <mcepl@redhat.com> - 0.2.114.svn169-1
- New SVN checkout

* Thu May 10 2007 Matej Cepl <mcepl@redhat.com> - 0.2.114.svn162-1
- New SVN checkout

* Tue Apr  3 2007 Matej Cepl <mcepl@redhat.com> - 0.2.114.svn148-2
- changed BuildRoot to more sane value, now it is allowed.

* Mon Feb 26 2007 Matěj Cepl <mcepl@redhat.com> 0.2.114.svn148-1
- New upstream SVN
- encoding is back again with us

* Tue Dec 19 2006 Matěj Cepl <mcepl@redhat.com> 0.2.114.svn145-1
- Changed to SVN source.
- Upstream fixed problems with too many shebang lines and encoding of GPL.

* Tue Nov 7 2006 Matěj Cepl <mcepl@redhat.com> 0.2.114-0
- Initial build.
